## pyswarms 1.1.0+dfsg

=== requirements.txt ===
attrs==18.1.0
cycler==0.10.0
future==0.16.0
kiwisolver==1.0.1
matplotlib==3.0.2
numpy==1.16.1
pyparsing==2.3.1
python-dateutil==2.7.5
scipy==1.2.0
six==1.12.0
tqdm==4.24.0
