=== debian/changelog ===
pyswarms (1.1.0+dfsg-3) unstable; urgency=medium

  * autopkgtest:
    - Add python3-matplotlib to Depends
    - Add allow-stderr Restriciton for matplotlib warning
  * Improve build process for documentation

 -- Christian Kastner <ckk@debian.org>  Sun, 03 May 2020 16:20:17 +0200

pyswarms (1.1.0+dfsg-2) unstable; urgency=medium

  * Add python3-yaml to Depends of python3-pyswarms
    This didn't get picked up during build. Discovered by debci
  * Add python3-pyswarms to Suggests of python-pyswarms-doc
  * Add python3-matplotlib to Recommends of python3-pyswarms

 -- Christian Kastner <ckk@debian.org>  Fri, 24 Apr 2020 21:30:44 +0200

pyswarms (1.1.0+dfsg-1) unstable; urgency=medium

  * Initial release (Closes: #958123)

 -- Christian Kastner <ckk@debian.org>  Sun, 19 Apr 2020 00:55:44 +0200
