=== debian/control ===
Source: pyswarms
Section: python
Priority: optional
Maintainer: Debian Science Team <debian-science-maintainers@lists.alioth.debian.org>
Uploaders: Christian Kastner <ckk@debian.org>
Build-Depends:
    debhelper-compat (= 12),
    dh-python,
    python3-all,
    python3-setuptools,
    python3-attr,
    python3-numpy,
    python3-scipy,
    python3-future,
    python3-yaml,
    python3-tqdm,
    python3-matplotlib,
    python3-pytest <!nocheck>,
    python3-sphinx <!nodoc>,
    python3-sphinx-rtd-theme <!nodoc>,
    python3-nbsphinx <!nodoc>,
    pandoc <!nodoc>,
    python3-pandocfilters <!nodoc>,
# For intersphinx inventories (as seen in statsmodels)
    python3-doc <!nodoc>,
    python-numpy-doc <!nodoc>,
    python-scipy-doc <!nodoc>,
    python-matplotlib-doc <!nodoc>,
Rules-Requires-Root: no
Standards-Version: 4.5.0
Homepage: https://github.com/ljvmiranda921/pyswarms/
Vcs-Browser: https://salsa.debian.org/science-team/pyswarms
Vcs-Git: https://salsa.debian.org/science-team/pyswarms.git

Package: python3-pyswarms
Architecture: all
Depends:
    ${python3:Depends},
    ${misc:Depends},
    python3-yaml
Recommends:
    python3-matplotlib
Suggests: python-pyswarms-doc
Description: research toolkit for particle swarm optimization in Python
 PySwarms is an extensible research toolkit for particle swarm optimization
 (PSO) in Python.
 .
 It is intended for swarm intelligence researchers, practitioners, and students
 who prefer a high-level declarative interface for implementing PSO in their
 problems. PySwarms enables basic optimization with PSO and interaction with
 swarm optimizations.
 .
 Features:
   * High-level module for Particle Swarm Optimization
   * Built-in objective functions to test optimization algorithms
   * Plotting environment for cost histories and particle movement
   * Hyperparameter search tools to optimize swarm behaviour
 .
 This package contains the Python 3.x version of PySwarms.

Package: python-pyswarms-doc
Architecture: all
Section: doc
Depends:
    ${sphinxdoc:Depends},
    ${misc:Depends},
    libjs-requirejs,
    libjs-mathjax,
    fonts-mathjax,
Suggests:
    python3-pyswarms,
    ipython3,
    python3-matplotlib,
    python3-seaborn,
Description: documentation and examples for PySwarms
 PySwarms is an extensible research toolkit for particle swarm optimization
 (PSO) in Python.
 .
 It is intended for swarm intelligence researchers, practitioners, and students
 who prefer a high-level declarative interface for implementing PSO in their
 problems. PySwarms enables basic optimization with PSO and interaction with
 swarm optimizations.
 .
 Features:
   * High-level module for Particle Swarm Optimization
   * Built-in objective functions to test optimization algorithms
   * Plotting environment for cost histories and particle movement
   * Hyperparameter search tools to optimize swarm behaviour
 .
 This package contains the documentation and examples for PySwarms.
