=== requirements.txt ===
--- 
+++ 
@@ -9,3 +9,4 @@
 scipy==1.2.0
 six==1.12.0
 tqdm==4.24.0
+pyyaml==5.1.1
