=== debian/changelog ===
pyswarms (1.3.0-9) unstable; urgency=medium

  * Team upload.
  * Fix FTBFS with Sphinx 8 (Closes: #1090124)

 -- Alexandre Detiste <tchet@debian.org>  Wed, 25 Dec 2024 21:26:05 +0100

pyswarms (1.3.0-8) unstable; urgency=medium

  * Team upload.

  [ James Addison ]
  * Configure static alt text for buildtime-generated animation images,
    this makes the build reproducible.  Closes: #1064575

 -- Mattia Rizzolo <mattia@debian.org>  Wed, 31 Jul 2024 18:15:04 +0900

pyswarms (1.3.0-7) unstable; urgency=medium

  * Team upload.
  * Add a patch from Upstream to enable compatibility with matplotlib 3.8
    (Closes: #1074629)

 -- Alexandre Detiste <tchet@debian.org>  Wed, 03 Jul 2024 15:36:04 +0200

pyswarms (1.3.0-6) unstable; urgency=medium

  * Team upload.
  * Drop python3-future from Build-Depends
  * Replace past.xrange by range
    Closes: #1056445, #1058390
  * Fix Maintainer name of Debian Science team (routine-update)
  * Remove trailing whitespace in debian/changelog (routine-update)
  * Remove trailing whitespace in debian/copyright (routine-update)
  * Build-Depends: s/dh-python/dh-sequence-python3/ (routine-update)
  * Add salsa-ci file (routine-update)

 -- Andreas Tille <tille@debian.org>  Tue, 23 Jan 2024 15:26:07 +0100

pyswarms (1.3.0-5) unstable; urgency=medium

  * Team Upload.
  * Remove intra-sphinx docs for packages whose -doc
    packages have been removed (Closes: #1027557)
  * Add patch to fix FTBFS with numpy 1.24 (Closes: #1027218)

 -- Nilesh Patra <nilesh@debian.org>  Sat, 28 Jan 2023 12:03:49 +0530

pyswarms (1.3.0-4) unstable; urgency=medium

  [ Debian Janitor ]
  * Apply multi-arch hints. + python-pyswarms-doc: Add Multi-Arch: foreign.

  [ Christian Kastner ]
  * Bump Standards-Version to 4.6.2 (no changes needed)
  * autopkgtest: Use py3versions --supported instead of --requested
    - Add python3-all as autopkgtest dependency
  * Bump copyright

 -- Christian Kastner <ckk@debian.org>  Sun, 18 Dec 2022 22:47:15 +0100

pyswarms (1.3.0-3) unstable; urgency=medium

  * Fix d/watch
  * Bump Standards-Version to 4.6.0 (no changes needed)
  * Bump debhelper compatibility to 13

 -- Christian Kastner <ckk@debian.org>  Fri, 04 Mar 2022 19:32:38 +0100

pyswarms (1.3.0-2) unstable; urgency=medium

  * Team Upload.
  * d/p/Fix-FTBFS-with-new-sphinx.patch: Change api call
    to fix doc building with sphinx 4.2.0 (Closes: #997374)

 -- Nilesh Patra <nilesh@debian.org>  Fri, 29 Oct 2021 19:41:43 +0000

pyswarms (1.3.0-1) unstable; urgency=medium

  * New upstream release.

 -- Christian Kastner <ckk@debian.org>  Tue, 12 Jan 2021 20:45:45 +0100

pyswarms (1.2.0-1) unstable; urgency=medium

  * New upstream release.
    + Drop patches included upstream
    + Refresh patches
    + d/copyright: Drop +dfsg repackaging
  * Create d/upstream/metadata
  * Bump Standards-Version to 4.5.1 (no changes needed)

 -- Christian Kastner <ckk@debian.org>  Mon, 07 Dec 2020 18:12:30 +0100
