=== debian/tests/control ===
Tests: upstream-python3
Depends: python3-all, python3-pyswarms, python3-pytest, python3-matplotlib
Restrictions: allow-stderr
