=== debian/watch ===
version=4

opts=\
filenamemangle=s/.+\/v\.(\d\S*)\.tar\.gz/pyswarms-$1\.tar\.gz/,\
dversionmangle=s/\+dfsg//,\
repacksuffix=+dfsg \
https://github.com/ljvmiranda921/pyswarms/tags .*/v\.(\d\S*)\.tar\.gz
